<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Meal Information</title>
</head>
<body>

  <h1>Meal Information</h1>

  <div id="meal-info">
    <!-- Content will be loaded here -->
  </div>

  <script>
    // Function to fetch JSON content from the URL
    function fetchMealInfo() {
      // Replace 'your_json_url' with the actual URL of your JSON data
      const jsonUrl = 'http://localhost:8080/meal';

      // Using fetch to get JSON data
      fetch(jsonUrl)
        .then(response => response.json())
        .then(data => {
          // Call function to display meal information
          displayMealInfo(data);
        })
        .catch(error => {
          console.error('Error fetching meal information:', error);
        });
    }

    // Function to display meal information on the webpage
    function displayMealInfo(meal) {
      const mealInfoContainer = document.getElementById('meal-info');
      // Create HTML elements to display meal information
      const mealName = document.createElement('h2');
      mealName.textContent = meal.name;

      const mealPrice = document.createElement('p');
      mealPrice.textContent = 'Price: $' + meal.price;

      const mealCalories = document.createElement('p');
      mealCalories.textContent = 'Calories: ' + meal.cal + ' kcal';

      const mealImage = document.createElement('img');
      mealImage.src = meal.imgURL;
      mealImage.alt = meal.name;
      mealImage.width = 60;

      // Append elements to the container
      mealInfoContainer.appendChild(mealName);
      mealInfoContainer.appendChild(mealPrice);
      mealInfoContainer.appendChild(mealCalories);
      mealInfoContainer.appendChild(mealImage);
    }

    // Call the fetchMealInfo function when the page loads
    window.onload = fetchMealInfo;
  </script>

</body>
</html>
